/*
   Dialogos - automate network communication
   Copyright (C) 2002 Markus Triska

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA

   Contact me at triska@gmx.at
*/


#include <string>
#include <map>

#include "dialogos.h"

const int BUFFERSIZE = 200;
#ifndef INVALID_SOCKET
#ifndef WINDOWS
#define INVALID_SOCKET 0
#endif
#endif

typedef std::map<std::string, std::string, std::less<std::string> > variables_type;
extern std::map<std::string, std::string, std::less<std::string> > variables;

int doStartup();
int doCleanup();
int doConnect();
int closeConnection();
int httpPost(std::string);
int httpReceive(std::string, int = 0, bool = false);
int doReceive(std::string, int = 0, bool = false);
int sendFile(std::string);
int sendString(std::string);
